%define name 	onefinger
%define version 1.1.1
%define release 1mdk

Summary: 	Graphical interface to the shell
Name: 		%name
Version: 	%version
Release: 	%release
Url: 		http://onefinger.sourceforge.net/
License: 	GPL
Group: 		Terminals
Source: 	%{name}-%{version}.tar.bz2

Buildroot: 	%_tmppath/%name-%version-buildroot
BuildArch:	noarch
BuildRequires:	ImageMagick
Requires:	PyQt

%description
Onefinger is a general-purpose GUI (graphical user interface) built on top of
the CLI (command line interface). Although entirely graphical and "pretty",
OneFinger does not attempt to hide the underlying CLI language: instead, it
lets you compose CLI commands with the mouse (and only one finger!).

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_datadir/%name
cp -r src/* $RPM_BUILD_ROOT/%_datadir/%name/
mkdir $RPM_BUILD_ROOT/%_bindir
echo '#!/bin/bash' > $RPM_BUILD_ROOT/%_bindir/%name
echo 'cd /usr/share/onefinger/python' >> $RPM_BUILD_ROOT/%_bindir/%name
echo 'python one-finger.py $@' >> $RPM_BUILD_ROOT/%_bindir/%name
chmod 755 $RPM_BUILD_ROOT/%_bindir/%name

#menu
(cd $RPM_BUILD_ROOT
mkdir -p ./%{_menudir}
cat > ./%{_menudir}/%{name} <<EOF
?package(%{name}):\
command="%{_bindir}/%name"\
title="OneFinger"\
longtitle="Graphical Shell"\
needs="x11"\
icon="%name.png"\
section="System/Terminals"
EOF
)

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 src/img/push-button.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 src/img/push-button.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 src/img/push-button.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%post
%update_menus

%postun
%update_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS CHANGES COPYING README TODO doc/* web-site/*
%_bindir/%name
%_datadir/%name
%_menudir/%name
%_iconsdir/%name.png
%_liconsdir/%name.png
%_miconsdir/%name.png

%changelog
* Mon Sep 20 2004 Austin Acton <austin@mandrake.org> 1.1.1-1mdk
- initial build
-
